Index: c/src/tests/sptests/sp09/screen07.c
===================================================================
--- c/src/tests/sptests/sp09/screen07.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/screen07.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -15,5 +15,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  screen07.c,v 1.2 1995/05/31 17:09:03 joel Exp
  */
 
@@ -23,8 +23,9 @@
 {
   long              buffer[ 4 ];
+  rtems_unsigned32  size;
   rtems_unsigned32  count;
   rtems_status_code status;
 
-  status = rtems_message_queue_broadcast( 100, (long (*)[4]) buffer, &count );
+  status = rtems_message_queue_broadcast( 100, (long (*)[4]) buffer, 16, &count );
   fatal_directive_status(
     status,
@@ -37,4 +38,5 @@
     0,
     3,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Junk_id
@@ -50,4 +52,5 @@
     Queue_name[ 1 ],
     1,
+    16,
     RTEMS_GLOBAL,
     &Junk_id
@@ -63,10 +66,11 @@
     Queue_name[ 1 ],
     2,
-    RTEMS_LIMIT,
+    16,
+    RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 1 ]
   );
   directive_failed( status, "rtems_message_queue_create successful" );
   puts(
-    "TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL"
+    "TA1 - rtems_message_queue_create - Q 1 - 2 DEEP - RTEMS_SUCCESSFUL"
   );
 
@@ -74,4 +78,5 @@
     Queue_name[ 2 ],
     1,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Junk_id
@@ -119,4 +124,5 @@
     100,
     (long (*)[4]) buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     0
@@ -132,4 +138,5 @@
     Queue_id[ 1 ],
     (long (*)[4]) buffer,
+    &size,
     RTEMS_NO_WAIT,
     RTEMS_NO_TIMEOUT
@@ -146,4 +153,5 @@
     Queue_id[ 1 ],
     (long (*)[4]) buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     3 * TICKS_PER_SECOND
@@ -159,5 +167,5 @@
   );
 
-  status = rtems_message_queue_send( 100, (long (*)[4]) buffer );
+  status = rtems_message_queue_send( 100, (long (*)[4]) buffer, 16 );
   fatal_directive_status(
     status,
@@ -167,13 +175,13 @@
   puts( "TA1 - rtems_message_queue_send - RTEMS_INVALID_ID" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer, 16 );
   directive_failed( status, "rtems_message_queue_send" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4]) buffer, 16 );
   fatal_directive_status(
     status,
Index: c/src/tests/sptests/sp09/screen08.c
===================================================================
--- c/src/tests/sptests/sp09/screen08.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/screen08.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -15,5 +15,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  screen08.c,v 1.2 1995/05/31 17:09:05 joel Exp
  */
 
@@ -32,21 +32,22 @@
     Queue_name[ 1 ],
     2,
-    RTEMS_LIMIT,
+    16,
+    RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 1 ]
   );
   directive_failed( status, "rtems_message_queue_create successful" );
   puts(
-    "TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL"
+    "TA1 - rtems_message_queue_create - Q 1 - 2 DEEP - RTEMS_SUCCESSFUL"
   );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   directive_failed( status, "rtems_message_queue_send successful" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   directive_failed( status, "rtems_message_queue_send successful" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   fatal_directive_status(
     status,
@@ -63,28 +64,33 @@
     Queue_name[ 1 ],
     3,
-    RTEMS_LIMIT,
+    16,
+    RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 1 ]
   );
   directive_failed( status, "rtems_message_queue_create successful" );
   puts(
-    "TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL"
+    "TA1 - rtems_message_queue_create - Q 1 - 3 DEEP - RTEMS_SUCCESSFUL"
   );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   directive_failed( status, "rtems_message_queue_send successful" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   directive_failed( status, "rtems_message_queue_send successful" );
   puts( "TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
+  directive_failed( status, "rtems_message_queue_send successful" );
+  puts( "TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_SUCCESSFUL" );
+
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer, 16 );
   fatal_directive_status(
     status,
-    RTEMS_UNSATISFIED,
+    RTEMS_TOO_MANY,
     "rtems_message_queue_send too many to limited queue"
   );
   puts(
-    "TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_UNSATISFIED"
+    "TA1 - rtems_message_queue_send - BUFFER 4 TO Q 1 - RTEMS_TOO_MANY"
   );
 
@@ -96,10 +102,11 @@
     Queue_name[ 1 ],
     3,
-    RTEMS_LIMIT,
+    16,
+    RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 1 ]
   );
   directive_failed( status, "rtems_message_queue_create successful" );
   puts(
-    "TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL"
+    "TA1 - rtems_message_queue_create - Q 1 - 3 DEEP - RTEMS_SUCCESSFUL"
   );
 
Index: c/src/tests/sptests/sp09/screen09.c
===================================================================
--- c/src/tests/sptests/sp09/screen09.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/screen09.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -15,5 +15,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  screen09.c,v 1.2 1995/05/31 17:09:07 joel Exp
  */
 
Index: c/src/tests/sptests/sp09/screen13.c
===================================================================
--- c/src/tests/sptests/sp09/screen13.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/screen13.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -15,5 +15,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  screen13.c,v 1.2 1995/05/31 17:09:14 joel Exp
  */
 
@@ -22,9 +22,8 @@
 void Screen13()
 {
-  rtems_unsigned32  result;
   rtems_time_of_day time;
   rtems_status_code status;
 
-  status = rtems_io_close( 0xffff, 0x0000, NULL, &result );
+  status = rtems_io_close( 0xffff, 0x0000, NULL);
   fatal_directive_status(
     status,
@@ -33,5 +32,5 @@
   );
   puts( "TA1 - rtems_io_close - RTEMS_INVALID_NUMBER" );
-  status = rtems_io_control( 0xffff, 0x00000, NULL, &result );
+  status = rtems_io_control( 0xffff, 0x00000, NULL);
   fatal_directive_status(
     status,
@@ -40,5 +39,5 @@
   );
   puts( "TA1 - rtems_io_control - RTEMS_INVALID_NUMBER" );
-  status = rtems_io_initialize( 0xffff, 0x00000, NULL, &result );
+  status = rtems_io_initialize( 0xffff, 0x00000, NULL);
   fatal_directive_status(
     status,
@@ -47,5 +46,5 @@
   );
   puts( "TA1 - rtems_io_initialize - RTEMS_INVALID_NUMBER" );
-  status = rtems_io_open( 0xffff, 0x00000, NULL, &result );
+  status = rtems_io_open( 0xffff, 0x00000, NULL);
   fatal_directive_status(
     status,
@@ -54,5 +53,5 @@
   );
   puts( "TA1 - rtems_io_open - RTEMS_INVALID_NUMBER" );
-  status = rtems_io_read( 0xffff, 0x00000, NULL, &result );
+  status = rtems_io_read( 0xffff, 0x00000, NULL);
   fatal_directive_status(
     status,
@@ -61,5 +60,5 @@
   );
   puts( "TA1 - rtems_io_read - RTEMS_INVALID_NUMBER" );
-  status = rtems_io_write( 0xffff, 0x0ffff, NULL, &result );
+  status = rtems_io_write( 0xffff, 0x0ffff, NULL);
   fatal_directive_status(
     status,
Index: c/src/tests/sptests/sp09/sp09.scn
===================================================================
--- c/src/tests/sptests/sp09/sp09.scn	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/sp09.scn	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -97,5 +97,5 @@
 TA1 - rtems_message_queue_create - Q 1 - RTEMS_INVALID_NAME
 TA1 - rtems_message_queue_create - Q 1 - RTEMS_MP_NOT_CONFIGURED
-TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL
+TA1 - rtems_message_queue_create - Q 1 - 2 DEEP - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_create - Q 2 - RTEMS_TOO_MANY
 TA1 - rtems_message_queue_delete - unknown RTEMS_INVALID_ID
@@ -113,15 +113,16 @@
 <pause - screen 8>
 TA1 - rtems_message_queue_delete - Q 1 - RTEMS_SUCCESSFUL
-TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL
+TA1 - rtems_message_queue_create - Q 1 - 2 DEEP - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_TOO_MANY
 TA1 - rtems_message_queue_delete - Q 1 - RTEMS_SUCCESSFUL
-TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL
+TA1 - rtems_message_queue_create - Q 1 - 3 DEEP - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 1 TO Q 1 - RTEMS_SUCCESSFUL
 TA1 - rtems_message_queue_send - BUFFER 2 TO Q 1 - RTEMS_SUCCESSFUL
-TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_UNSATISFIED
+TA1 - rtems_message_queue_send - BUFFER 3 TO Q 1 - RTEMS_SUCCESSFUL
+TA1 - rtems_message_queue_send - BUFFER 4 TO Q 1 - RTEMS_TOO_MANY
 TA1 - rtems_message_queue_delete - Q 1 - RTEMS_SUCCESSFUL
-TA1 - rtems_message_queue_create - Q 1 - RTEMS_LIMIT - RTEMS_SUCCESSFUL
+TA1 - rtems_message_queue_create - Q 1 - 3 DEEP - RTEMS_SUCCESSFUL
 TA1 - rtems_task_start - start TA3 - RTEMS_SUCCESSFUL
 TA1 - rtems_task_wake_after - yield processor - RTEMS_SUCCESSFUL
Index: c/src/tests/sptests/sp09/system.h
===================================================================
--- c/src/tests/sptests/sp09/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:09:17 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp09/task3.c
===================================================================
--- c/src/tests/sptests/sp09/task3.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/task3.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -18,5 +18,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task3.c,v 1.2 1995/05/31 17:09:22 joel Exp
  */
 
@@ -29,4 +29,5 @@
   rtems_status_code status;
   long              buffer[ 4 ];
+  rtems_unsigned32  size;
 
   puts( "TA3 - rtems_message_queue_receive - Q 1 - RTEMS_WAIT FOREVER" );
@@ -34,4 +35,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
Index: c/src/tests/sptests/sp11/system.h
===================================================================
--- c/src/tests/sptests/sp11/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp11/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:09:35 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp12/system.h
===================================================================
--- c/src/tests/sptests/sp12/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp12/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:09:55 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp13/init.c
===================================================================
--- c/src/tests/sptests/sp13/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:10:13 joel Exp
  */
 
@@ -79,5 +79,5 @@
   status = rtems_task_start( Task_id[ 3 ], Task_3, 0 );
   directive_failed( status, "rtems_task_start of TA3" );
-
+  
   Queue_name[ 1 ] = rtems_build_name( 'Q', '1', ' ', ' ' );
   Queue_name[ 2 ] = rtems_build_name( 'Q', '2', ' ', ' ' );
@@ -86,5 +86,6 @@
   status = rtems_message_queue_create(
     Queue_name[ 1 ],
-    0,
+    100,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 1 ]
@@ -95,5 +96,6 @@
     Queue_name[ 2 ],
     10,
-    RTEMS_PRIORITY | RTEMS_LIMIT,
+    16,
+    RTEMS_PRIORITY,
     &Queue_id[ 2 ]
   );
@@ -102,5 +104,6 @@
   status = rtems_message_queue_create(
     Queue_name[ 3 ],
-    0,
+    100,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id[ 3 ]
Index: c/src/tests/sptests/sp13/putbuff.c
===================================================================
--- c/src/tests/sptests/sp13/putbuff.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp13/putbuff.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,10 +17,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  putbuff.c,v 1.2 1995/05/31 17:10:15 joel Exp
  */
 
 #include "system.h"
-
-#define BUFFER_LENGTH 16
 
 void Put_buffer(
